
Redmine - Defect #15191

HTML 5 validation failures

2013-10-24 15:06 - Ksenia Altbregen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version:  

Description

Asserted fixes for HTML 5. Part 1.

Related issues:

Related to Redmine - Defect #5475: Non conformances with W3C xhtml transition... Confirmed 2010-05-08

Related to Redmine - Defect #25337: Redmine patch for Rails breaks functional... Closed

Associated revisions

Revision 12235 - 2013-10-26 09:15 - Jean-Philippe Lang

Replaced acronym with abbr tags (#15191).

Revision 12236 - 2013-10-26 09:17 - Jean-Philippe Lang

Prevents duplicate element ids (#15191).

Revision 12237 - 2013-10-26 10:08 - Jean-Philippe Lang

Replaces <option value=""></option> which is not HTML5 valid (#15191).

History

#1 - 2013-10-24 15:31 - Ksenia Altbregen

Connected to Defect #5475.

#2 - 2013-10-25 10:24 - Etienne Massip

- Related to Defect #5475: Non conformances with W3C xhtml transitional standards added

#3 - 2013-10-25 10:27 - Etienne Massip

- Category set to Code cleanup/refactoring

Please describe your patch, I don't get the default empty option displayed as an nbsp entity part and "notified_project_ids[]" should remain

'notified_project_ids[]' with single quotes, this is not JavaScript.

#4 - 2013-10-25 11:01 - Ksenia Altbregen

Well, I used the W3C validator.

The default empty option is really displayed as an nbsp entity, but the generated code

<option value=""></option>

is non-valid, while the

<option value="">&nbsp;</option>

is valid.    

The code

check_box_tag(
  'notified_project_ids[]',

  project.id,

  @user.notified_projects_ids.include?(project.id))

did not work correctly; it did not convert notified_project_ids[] for each project to notified_project_ids_#{project.id}. The ids for all projects were

identical.

I added the id parameter manually:

  :id => "notified_project_ids_#{project.id}"

Now multiple ids work correctly.

#5 - 2013-10-25 11:41 - Ksenia Altbregen

- File html_validation_patch.diff added

Quotes for notified_project_ids[] are single again, sorry.

#6 - 2013-10-26 10:45 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from HTML 5 Validation Venture to HTML 5 validation failures

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

I fixed these issues more globally, see associated commits. Thanks for pointing this out.

#7 - 2013-11-19 10:25 - Ksenia Altbregen

In r12236 you've set 

:id => nil

Is this really acceptable? The elements now have no ids at all.    

I've also noticed that these elements have identical names.

Both problems could be fixed by explicit transmission of :id and :name values.

P.S. There are several places with this problem (e.g. user[group_ids][] and membership[role_ids][] in users/views).

#8 - 2013-11-19 20:04 - Jean-Philippe Lang

Ksenia Altbregen wrote:

In r12236 you've set [...]

Is this really acceptable? The elements now have no ids at all.

 AFAIK, ids are not required. And they are not needed in this case, so I've set them to nil.

I've also noticed that these elements have identical names.

 Yes, they have to have the same name to get the values as a single array parameter. Please, have a look at:

http://guides.rubyonrails.org/action_controller_overview.html#hash-and-array-parameters

#9 - 2023-03-10 02:38 - Go MAEDA

- Related to Defect #25337: Redmine patch for Rails breaks functionality of select_tag added

Files

html_validation_patch.diff 2.97 KB 2013-10-24 Ksenia Altbregen

html_validation_patch.diff 2.87 KB 2013-10-25 Ksenia Altbregen
